CSFML

- Main Page
- Data Structures
- Files

- File List
- Globals

Functions
Mutex.h File Reference
`#include <SFML/System/Export.h>`
`#include <SFML/System/Types.h>`

Go to the source code of this file.

## Functions
CSFML_SYSTEM_API sfMutex * | sfMutex_create (void)
| Create a new mutex. More...
CSFML_SYSTEM_API void | sfMutex_destroy (sfMutex *mutex)
| Destroy a mutex. More...
CSFML_SYSTEM_API void | sfMutex_lock (sfMutex *mutex)
| Lock a mutex. More...
CSFML_SYSTEM_API void | sfMutex_unlock (sfMutex *mutex)
| Unlock a mutex. More...

## Function Documentation

CSFML_SYSTEM_API sfMutex* sfMutex_create | ( | void | ) |  |

Create a new mutex.

Returns
  A new sfMutex object

CSFML_SYSTEM_API void sfMutex_destroy | ( | sfMutex * | mutex) |  |

Destroy a mutex.

Parameters

  mutex | Mutex to destroy

CSFML_SYSTEM_API void sfMutex_lock | ( | sfMutex * | mutex) |  |

Lock a mutex.

Parameters

  mutex | Mutex object

CSFML_SYSTEM_API void sfMutex_unlock | ( | sfMutex * | mutex) |  |

Unlock a mutex.

Parameters

  mutex | Mutex object